use super::Member;
use once_cell::sync::Lazy;
use std::collections::HashMap;

// Create a store for saving information when migrating to a new members list
static MEMBERS_STORE: Lazy<MembersStore> = Lazy::new(|| MembersStore::new());

struct MembersStore {
    store: HashMap<u16, Vec<Member>>,
    count: u16,
}

impl MembersStore {
    fn new() -> Self {
        Self {
            store: HashMap::new(),
            count: 0,
        }
    }

    fn insert(&mut self, input: Vec<Member>) -> u16 {
        let count = self.count + 1;
        self.store.insert(count, input);
        count
    }

    fn get(&self, key: &u16) -> Option<&Vec<Member>> {
        self.store.get(key)
    }

    fn remove(&mut self, key: &u16) -> Option<Vec<Member>> {
        self.store.remove(key)
    }
}

impl Member {
    async fn migrate() {}
}

fn csv_to_vec(input: String) -> Result<Vec<Member>, ()> {
    Ok(vec![])
}
